Subject: [MGCP]Ack for wildcarded endpoint

From: TOMINAGA Satoshi <[email-masked]>
Date: Mon, 29 Nov 1999 17:05:59 +0900

Dear Sirs,

I have a question on MGCP protocol.

MGCP allows to use wildcard for endpoints. When the wildcard
is matched multiple endpoints, how the gateway returns Acknowledge
to the given command ? I can't find clear specification of this
point in RFC2705 except AuditEndpoint.

For the following example, assume ep1 and ep2 match the
endpoint wildcard.

Example 1:
  CA sends the following command to gateway:
    RQNT 1234 [email-masked] R:L/hd

  ep1, ep2 are onhook, therefore they can accept the RequestedEvent.

  How does the gateway response the command ?
  I think only one Acknowledge as:
    200 1234 OK

  Is this correct ?

Example 2:
  CA sends the following command to gateway:
    RQNT 1234 [email-masked] R:L/hd

  ep1 is onhook, therefore it can accept the RequestedEvent.
  ep2 is offhook, therefore it can NOT accept the ReqeustedEvent.

  ep1 wants to response as:
    200 1234 OK
  but ep2 wants to response as:
    401 1234 // already off hook

  How should the gateway work ? For example:
  1. Ignore the NotificationRequest command and return
       401 1234
     to the CA.
  2. Ignore the error condition at ep2 and return
       200 1234 OK
     to the CA. Requested events of ep2 are unchanged
     by this command.
  ...

Please let me know the clear definition on such a case.

 ============================================
  TOMINAGA Satoshi
    Electronic Systems Division
    Communication Devices Department
      YAMAHA Corporation
    email:[email-masked]
    TEL:+81-539-62-5343  FAX:+81-539-62-5156
 ============================================